# -*- coding: utf-8 -*-
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Provide the correct reactor and ui integration."""

import sys

from PyQt4 import QtGui

# Module used to include the resources into this file
# Unused import images_rc, pylint: disable=W0611
from ubuntuone_installer.gui.qt.ui import images_rc
# pylint: enable=W0611


# Invalid name "source", pylint: disable=C0103
if sys.platform == 'win32':
    from ubuntuone_installer.gui.qt.main import windows
    source = windows
else:
    from ubuntuone_installer.gui.qt.main import linux
    source = linux
# pylint: enable=C0103


def main(installing=False):
    """Start the Qt reactor and open the main window."""
    # The following cannot be imported outside this function
    # because u1trial already provides a reactor.

    # The main loop MUST be initialized before importing the reactor
    app = QtGui.QApplication(sys.argv)
    source.main(app)

    # Reimport 'qt4reactor', 'reactor', pylint: disable=W0404
    import qt4reactor
    qt4reactor.install()

    from twisted.internet import reactor
    from ubuntuone_installer.gui.qt.utils import check_credentials
    # pylint: enable=W0404

    # Module 'reactor' has no 'run'/'stop' member, pylint: disable=E1101
    reactor.callWhenRunning(check_credentials,
                            installing=installing, stop_cb=reactor.stop)
    reactor.run()
    # pylint: enable=E1101
