# -*- coding: utf-8 -*-
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Main method to be used on windows."""

from PyQt4 import QtGui, QtCore


def main(app):
    """Apply style sheet and fonts."""
    # Apply font to the entire application
    QtGui.QFontDatabase.addApplicationFont(':/Ubuntu-R.ttf')
    QtGui.QFontDatabase.addApplicationFont(':/Ubuntu-B.ttf')

    # Set Application Icon
    app.setWindowIcon(QtGui.QIcon(":/ubuntu_one_favicon.png"))

    # Apply Style Sheet -- The windows version may be different
    qss = QtCore.QResource(":/ubuntuone.qss")
    app.setStyleSheet(qss.data())
